<div (keydown.escape)="back()"
     [solidifyFocusFirstElement]="true"
     class="host"
     solidifyShortCuts
>
  <h2 *ngIf="(orgUnitIdObs | async) as orgUnitId">
    <ng-container *ngIf="modeObs | async as mode">
      <ng-template [ngIf]="mode === notificationModeEnum.inbox">{{'preservationSpace.notifications.list.inboxForOrgUnit.title' | translate}}</ng-template>
      <ng-template [ngIf]="mode === notificationModeEnum.sent">{{'preservationSpace.notifications.list.sentForOrgUnit.title' | translate}}</ng-template>
    </ng-container>
    "
    <dlcm-shared-organizational-unit-name-container [id]="orgUnitId"
                                                    [inline]="true"
    ></dlcm-shared-organizational-unit-name-container>
    "
  </h2>

  <solidify-button-toolbar-list [backAvailable]="options.canGoBack"
                                [createAvailable]="options.canCreate | solidifyAsync"
                                [isLoading]="isLoadingObs | async"
                                [keyBackButtonToTranslate]="KEY_BACK_BUTTON"
                                [keyCreateButtonToTranslate]="KEY_CREATE_BUTTON"
                                [listExtraButtons]="options?.listExtraButtons"
  ></solidify-button-toolbar-list>

  <solidify-data-table #dataTablePresentational
                       (queryParametersChange)="onQueryParametersEvent($event)"
                       (selectChange)="showDetail($event)"
                       [actions]="actions"
                       [columnsSkippedToClear]="$any(columnsSkippedToClear)"
                       [columns]="columns"
                       [data]="listObs | async"
                       [isHighlightCondition]="isHighlightCondition"
                       [isLoading]="isLoadingObs | async"
                       [displaySpinnerWhenLoading]="true"
                       [queryParameters]="queryParametersObs | async"
                       [isMultiSelectable]="isMultiSelectable"
                       [skipInitialQuery]="skipInitialQuery"
                       [stickyTopPosition]="0"
                       [displayActionShowHistory]="displayActionShowHistory"
                       [displayActionCopyIdToClipboard]="displayActionCopyIdToClipboard"
                       (showHistoryChange)="showHistory($event)"
  ></solidify-data-table>
</div>
